tios::ST_eraseHelp equ _ROM_CALL_0E3
tios::ST_showHelp equ _ROM_CALL_0E6
tios::HeapFree equ _ROM_CALL_097
tios::HeapAlloc equ _ROM_CALL_090
tios::ER_catch equ _ROM_CALL_154
tios::ER_success equ _ROM_CALL_155
tios::reset_link equ _ROM_CALL_24C
tios::flush_link equ _ROM_CALL_24D
tios::tx_free equ _ROM_CALL_252
tios::transmit equ _ROM_CALL_250
tios::receive equ _ROM_CALL_24F
tios::HeapFreeIndir equ _ROM_CALL_098
tios::ST_busy equ _ROM_CALL_0E2
tios::ER_throwVar equ _ROM_CALL_153
tios::HeapRealloc equ _ROM_CALL_09D
tios::sprintf equ _ROM_CALL_053
tios::DrawStrXY equ _ROM_CALL_1A9
tios::FontSetSys equ _ROM_CALL_18F
tios::DrawTo equ _ROM_CALL_19C
tios::MoveTo equ _ROM_CALL_19D
tios::PortSet equ _ROM_CALL_1A2
tios::PortRestore equ _ROM_CALL_1A3
tios::WinActivate equ _ROM_CALL_001
tios::WinClose equ _ROM_CALL_00B
tios::WinOpen equ _ROM_CALL_01E
tios::WinStrXY equ _ROM_CALL_026
tios::HeapAllocThrow equ _ROM_CALL_093
tios::strcmp equ _ROM_CALL_271
tios::FontGetSys equ _ROM_CALL_18E
tios::strlen equ _ROM_CALL_27E
tios::strncmp equ _ROM_CALL_272
tios::strncpy equ _ROM_CALL_26D
tios::strcat equ _ROM_CALL_26E
tios::strchr equ _ROM_CALL_274
tios::memset equ _ROM_CALL_27C
tios::memcmp equ _ROM_CALL_270
tios::memcpy equ _ROM_CALL_26A
tios::memmove equ _ROM_CALL_26B
tios::_du32u32 equ _ROM_CALL_2AA
tios::_ds32s32 equ _ROM_CALL_2A8
tios::_du16u16 equ _ROM_CALL_2A6
tios::_ds16u16 equ _ROM_CALL_2A4
tios::_ru32u32 equ _ROM_CALL_2AB
tios::_rs32s32 equ _ROM_CALL_2A9
tios::_ru16u16 equ _ROM_CALL_2A7
tios::_rs16u16 equ _ROM_CALL_2A5
tios::DerefSym equ _ROM_CALL_079
tios::MenuPopup equ _ROM_CALL_03B
tios::MenuBegin equ _ROM_CALL_036
tios::MenuOn equ _ROM_CALL_03A
tios::ERD_dialog equ _ROM_CALL_151

tios::main_lcd equ LCD_MEM
tios::kb_vars equ tios::kb_globals
KEY_PRESSED_FLAG equ tios::kb_globals+$1c
GETKEY_CODE equ tios::kb_globals+$1e
tios::SYM_ENTRY.name equ SYM_ENTRY.name
tios::SYM_ENTRY.flags equ SYM_ENTRY.flags
tios::SYM_ENTRY.hVal equ SYM_ENTRY.hVal
tios::NULL equ 0
tios::H_NULL equ 0
tios::RAND_MAX equ $7fff
ACTIVITY_IDLE equ 0
ACTIVITY_BUSY equ 1
ACTIVITY_PAUSED equ 2
tios::ER_STOP equ 2
tios::ER_DIMENSION equ 230
tios::ER_MEMORY equ 670
tios::ER_MEMORY_DML equ 810
tios::UNDEFINED_TAG equ $2a
tios::LIST_TAG equ $d9
tios::MATRIX_TAG equ $db
tios::END_TAG equ $e5
;APD_INIT equ $5b10
;APD_TIMER equ $5b14
;APD_FLAG equ $5b42

CALC_TI92PLUS equ 0
CALC_TI89 equ 1
CALC_TI92 equ 2

ROM_CALL macro
 move.l ($C8),a4
 add.l #\1*4,a4
 move.l (a4),a4
 jsr (a4)
 endm

DEREF macro
 lsl.w #2,\1
 move.l tios::Heap,\2
 move.l 0(\2,\1.w),\2
 endm

tios::DEREF macro
 DEREF \1,\2
 endm

handle_ptr macro
 DEREF \1,\2
 endm

tios::DEREF_SYM macro
 move.l \1,-(sp)
 jsr tios::DerefSym
 add.l #4,sp
 endm

tios::ER_throw macro
 dc.w $A000+\1
 endm

_library:
_nostub:
_ti89:
_ti92:
_ti92plus:
